SDL_GetDefaultTextureScaleMode(3)

NAME
SDL_GetDefaultTextureScaleMode - Get default texture scale mode of the given renderer.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_GetDefaultTextureScaleMode(SDL_Renderer *renderer, SDL_ScaleMode *scale_mode);

FUNCTION PARAMETERS

renderer
    the renderer to get data from.

scale_mode
    a SDL_ScaleMode filled with current default scale mode. See SDL_SetDefaultTextureScaleMode() for the meaning of the value.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.4.0.

SEE ALSO
SDL_SetDefaultTextureScaleMode(3)